org.apache.cassandra.cql3

## Class ColumnSpecification

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnSpecification

Direct Known Subclasses:
  CFDefinition.Name

    public class ColumnSpecification
    extends java.lang.Object

### Field Summary

Fields
`java.lang.String` `cfName`
`java.lang.String` `ksName`
`ColumnIdentifier` `name`
`AbstractType<?>` `type`

### Constructor Summary

Constructors
Constructor and Description
`ColumnSpecification(java.lang.String ksName, java.lang.String cfName, ColumnIdentifier name, AbstractType<?> type)`

### Method Summary

Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ksName

    public final java.lang.String ksName

#### cfName

    public final java.lang.String cfName

#### name

    public final ColumnIdentifier name

#### type

    public final AbstractType<?> type

### Constructor Detail

#### ColumnSpecification

    public ColumnSpecification(java.lang.String ksName,
                       java.lang.String cfName,
                       ColumnIdentifier name,
                       AbstractType<?> type)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`